Open CASCADE Technology: NCollection_Buffer Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
NCollection_Buffer Class Reference

Low-level buffer object. More...

`#include <NCollection_Buffer.hxx>`

Inheritance diagram for NCollection_Buffer:
[legend]

## Public Member Functions
| NCollection_Buffer (const Handle< NCollection_BaseAllocator > &theAlloc, const Standard_Size theSize=0, Standard_Byte *theData=NULL)
| Default constructor. When theData is NULL but theSize is not 0 than buffer of specified size will be allocated. More...
| ~NCollection_Buffer ()
| Destructor. More...
const Standard_Byte * | Data () const
Standard_Byte * | ChangeData ()
bool | IsEmpty () const
Standard_Size | Size () const
| Return buffer length in bytes. More...
const Handle< NCollection_BaseAllocator > & | Allocator () const
void | SetAllocator (const Handle< NCollection_BaseAllocator > &theAlloc)
| Assign new buffer allocator with de-allocation of buffer. More...
bool | Allocate (const Standard_Size theSize)
| Allocate the buffer. More...
void | Free ()
| De-allocate buffer. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Attributes
Standard_Byte * | myData
| data pointer More...
Standard_Size | mySize
| buffer length in bytes More...
Handle< NCollection_BaseAllocator > | myAllocator
| buffer allocator More...

## Detailed Description

Low-level buffer object.

## Constructor & Destructor Documentation

NCollection_Buffer::NCollection_Buffer | ( | const Handle< NCollection_BaseAllocator > & | theAlloc,
|  | const Standard_Size | theSize = `0`,
|  | Standard_Byte * | theData = `NULL`
| ) |  |
| inline

Default constructor. When theData is NULL but theSize is not 0 than buffer of specified size will be allocated.

Parameters

  theAlloc | memory allocator
  theSize | buffer size
  theData | buffer data allocated by theAlloc

NCollection_Buffer::~NCollection_Buffer | ( |  | ) |
| inline

Destructor.

## Member Function Documentation

bool NCollection_Buffer::Allocate | ( | const Standard_Size | theSize | ) |
| inline

Allocate the buffer.

Parameters

  theSize | buffer length in bytes

const Handle< NCollection_BaseAllocator >& NCollection_Buffer::Allocator | ( |  | ) | const
| inline

Returns
  buffer allocator

Standard_Byte* NCollection_Buffer::ChangeData | ( |  | ) |
| inline

Returns
  buffer data

const Standard_Byte* NCollection_Buffer::Data | ( |  | ) | const
| inline

Returns
  buffer data

void NCollection_Buffer::Free | ( |  | ) |
| inline

De-allocate buffer.

bool NCollection_Buffer::IsEmpty | ( |  | ) | const
| inline

Returns
  true if buffer is not allocated

void NCollection_Buffer::SetAllocator | ( | const Handle< NCollection_BaseAllocator > & | theAlloc | ) |
| inline

Assign new buffer allocator with de-allocation of buffer.

Standard_Size NCollection_Buffer::Size | ( | void |  | ) | const
| inline

Return buffer length in bytes.

## Field Documentation

Handle< NCollection_BaseAllocator > NCollection_Buffer::myAllocator
| protected

buffer allocator

Standard_Byte* NCollection_Buffer::myData
| protected

data pointer

Standard_Size NCollection_Buffer::mySize
| protected

buffer length in bytes

The documentation for this class was generated from the following file:

- NCollection_Buffer.hxx